## qimageblitz 0.0.4

=== blitz/CMakeLists.txt ===
project(blitz_lib) 
include(CheckCXXSourceCompiles)
include(CheckIncludeFile)

if (APPLE)
 set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
 set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif (APPLE)

include_directories(
${CMAKE_SOURCE_DIR}  
${blitz_lib_BINARY_DIR} 
${QT_INCLUDE_DIR}
${QT_QTCORE_INCLUDE_DIR}  
${QT_QTGUI_INCLUDE_DIR}
)

CHECK_INCLUDE_FILE(stdint.h HAVE_STDINT_H)

if(NOT MSVC)
  CHECK_CXX_SOURCE_COMPILES(" int main() { __asm__(\"pxor %mm0, %mm0\") ; }" HAVE_MMX)
  CHECK_CXX_SOURCE_COMPILES(" int main() { __asm__(\"xorps %xmm0, %xmm0\"); }" HAVE_SSE)
  CHECK_CXX_SOURCE_COMPILES(" int main() { __asm__(\"xorpd %xmm0, %xmm0\"); }" HAVE_SSE2)
  CHECK_CXX_SOURCE_COMPILES(" int main() { __asm__(\"pi2fd %mm0, %mm0\"); }" HAVE_3DNOW)
  CHECK_CXX_SOURCE_COMPILES(" int main() { __asm__(\"mtspr 256, %0; vand %%v0, %%v0, %%v0\" : : \"r\"(-1) ); }" HAVE_ALTIVEC)
endif(NOT MSVC)

SET(BLITZ_LIB_MAJOR_VERSION "4")
SET(BLITZ_LIB_MINOR_VERSION "0")
SET(BLITZ_LIB_PATCH_VERSION "0")

SET(BLITZ_LIB_VERSION_STRING "${BLITZ_LIB_MAJOR_VERSION}.${BLITZ_LIB_MINOR_VERSION}.${BLITZ_LIB_PATCH_VERSION}")

set(blitz_LIB_SRCS blitz.cpp colors.cpp convolve.cpp histogram.cpp
blitzcpu.cpp scale.cpp scalefilter.cpp gradient.cpp)

if(HAVE_MMX)
    if(NOT APPLE AND NOT WIN32)
        set( blitz_LIB_SRCS ${blitz_LIB_SRCS} asm_scale.S )
        add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/asm_scale.o
            COMMAND gcc -c ${CMAKE_CURRENT_SOURCE_DIR}/asm_scale.S
            DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/asm_scale.S )
        set( blitz_LIB_EXTRA_SRCS ${CMAKE_CURRENT_BINARY_DIR}/asm_scale.o )
        set(HAVE_EXTERNAL_ASM TRUE)
    endif(NOT APPLE AND NOT WIN32)
endif(HAVE_MMX)
configure_file (config-processor.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-processor.h )
configure_file (config-externalasm.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-externalasm.h )

add_library(qimageblitz SHARED ${blitz_LIB_SRCS} ${blitz_LIB_EXTRA_SRCS})

target_link_libraries(qimageblitz ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY})

set_target_properties(qimageblitz PROPERTIES
                            VERSION ${BLITZ_LIB_MAJOR_VERSION}.${BLITZ_LIB_MINOR_VERSION}.${BLITZ_LIB_PATCH_VERSION}
                            SOVERSION ${BLITZ_LIB_MAJOR_VERSION}
                            DEFINE_SYMBOL MAKE_QIMAGEBLITZ_LIB
)
install( TARGETS qimageblitz  
    RUNTIME DESTINATION ${BIN_INSTALL_DIR} 
    LIBRARY DESTINATION ${LIB_INSTALL_DIR} 
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} 
)  
install( FILES qimageblitz.h DESTINATION ${INCLUDE_INSTALL_DIR} ) 
install( FILES qimageblitz_export.h DESTINATION ${INCLUDE_INSTALL_DIR} )
install( FILES blitzcpu.h DESTINATION ${INCLUDE_INSTALL_DIR} )

if(NOT WIN32)
  configure_file("qimageblitz.pc.cmake" "${CMAKE_CURRENT_BINARY_DIR}/qimageblitz.pc"
  @ONLY) 

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/qimageblitz.pc DESTINATION 
  ${LIB_INSTALL_DIR}/pkgconfig)  
endif(NOT WIN32)

## qimageblitz 0.0.6

=== debian/changelog ===
qimageblitz (1:0.0.6-5) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Bump debhelper compat and build dep to 9.
  * Bump Standards-Version to 3.9.6, no changes needed.

  [ Pino Toscano ]
  * Update Vcs-* fields.
  * Backport upstream r1203426 to use the proper C compiler when building
    assembler sources; patch r1203426.diff.
  * Backport upstream r1286623 to fix build with newer/different C++
    compilers; patch r1286623.diff.
  * Remove libqimageblitz-dbg in favour of the -dbgsym packages.
  * Bump Standards-Version to 4.0.0, no changes required.

  [ Helmut Grohne ]
  * Fix build/host confusion in rules. (Closes: #839283)

 -- Pino Toscano <pino@debian.org>  Mon, 26 Jun 2017 19:55:31 +0200

qimageblitz (1:0.0.6-4) unstable; urgency=low

  * Replace $(overriden_command) with $(overridden_command) in debian/rules.
    Requires pkg-kde-tools 0.12.
  * Bump Standards-Version to 3.9.2: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 23 Jun 2011 11:26:47 +0300

qimageblitz (1:0.0.6-3) unstable; urgency=low

  * Switch debian/rules engine to qt-kde-team/2/*.
  * Update symbol file (Qt 4.7 specific changes).

 -- Modestas Vainius <modax@debian.org>  Sun, 13 Mar 2011 22:51:26 +0200

qimageblitz (1:0.0.6-2) unstable; urgency=low

  * Update libqimageblitz4.symbols for other arches, fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Sun, 19 Sep 2010 12:36:21 +0300

qimageblitz (1:0.0.6-1) unstable; urgency=low

  * New upstream release.
  * Bump debian/compat and debhelper build dependency to v7 (to get more
    sophisticated debian/tmp handling).
  * Switch from internal debian/cdbs/kde.mk to pkg-kde-tools:
    - build depend on pkg-kde-tools 0.4;
    - remove debian/cdbs directory;
    - replace debian/cdbs/kde.mk with
      /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk in debian/rules.
  * Add Vcs fields to debian/control.
  * Switch to debian source format 3.0 (quilt):
    - remove build dependency on quilt;
    - bump pkg-kde-tools build dependency to 0.9 (needed for 3.0 (quilt)).
  * Strip version numbers from KDE 4 in descriptions, remove references to
    Quasar.
  * Bump Standards-Version to 3.9.1: no changes needed.
  * Move libqimageblitz-dbg package to the bottom of debian/control.
  * Change libimageblitz-dbg section to debug.
  * Remove Matthew from Uploaders, R.I.P.
  * Change Sune's email address to @debian.org.
  * Add myself to Uploaders.
  * Update packaging copyright years in debian/copyright.
  * Strip ./ from libqimageblitz-dev.install.
  * Sort install files.
  * Add a symbol file for libqimageblitz4 (based on 0.0.4).
  * Refresh patches.
  * Remove duplicate Section fields from debian/control.
  * Add Copyright next to (C) in the statement about Debian packaging
    copyright (fixes lintian error).
  * Disable /usr/lib R(UN)PATH (patch 13_disable_usr_lib_rpath.diff).

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Sep 2010 21:26:37 +0300

qimageblitz (1:0.0.4-4) unstable; urgency=low

  * Upload to unstable.
  * Move .gnu.note section for non-i386 architectures. (Closes: #479575)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 27 May 2008 14:51:27 +0200

qimageblitz (1:0.0.4-3) experimental; urgency=low

  +++ Changes by Fathi Boudra:

  * Remove FindQt4.cmake local copy.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 28 Apr 2008 23:03:04 +0200

qimageblitz (1:0.0.4-2) experimental; urgency=low

  +++ Changes by Matthew Rosewarne:

  * Forcibly enable CPU optimizations.
  * Move libqimageblitz-dbg to Section: libdevel.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Build against Qt4 4.4 in experimental:
   - Add versioned build depend for libqt4-dev on >= 4.4.0~.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 28 Mar 2008 17:01:34 +0100

qimageblitz (1:0.0.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Matthew Rosewarne:

  * Tweak description.
  * Add Homepage: to control.
  * Build -dbg package.
  * Bump Standards-Version to 3.7.3, no changes needed.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Add an epoch to fix the versioning number.
  * Update debhlper to 6.
  * Update years in copyright file.
  * Refresh patches offset.
  * Add a depend on libqimageblitz4 for the -dev package.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 22 Jan 2008 01:12:28 +0100

qimageblitz (0.0.706674-2) unstable; urgency=low

  * Update copyright file.

 -- Sune Vuorela <debian@pusling.com>  Fri, 31 Aug 2007 09:43:34 +0200

qimageblitz (0.0.706674-1) unstable; urgency=low

  * New upstream release.
  * Package name change to avoid clashes with blitz++.

 -- Sune Vuorela <debian@pusling.com>  Fri, 31 Aug 2007 08:28:37 +0200

blitz (0.0.3+svn699563-1) unstable; urgency=low

  * Initial release. (Closes: #436987)
    - Hack away newer cpu optimizations.
    - Add a .gnu.note section to asm file - fixes lintian warning.

 -- Sune Vuorela <debian@pusling.com>  Sun, 12 Aug 2007 19:16:04 +0200

=== debian/control ===
Source: qimageblitz
Priority: optional
Section: libs
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libqt4-dev (>= 4.4.0~),
               pkg-kde-tools (>= 0.12)
Standards-Version: 4.0.0
Homepage: http://www.kde.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-req/qimageblitz.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-req/qimageblitz.git

Package: libqimageblitz4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: QImageBlitz image effects library
 QImageBlitz is an interim graphical effect and filter library for KDE that
 contains many improvements over KDE 3.x's kdefx library, including bugfixes
 and speed improvements.

Package: libqimageblitz-dev
Section: libdevel
Architecture: any
Depends: libqimageblitz4 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for the QImageBlitz image effects library
 QImageBlitz is an interim graphical effect and filter library for KDE that
 contains many improvements over KDE 3.x's kdefx library, including bugfixes
 and speed improvements.
 .
 This package contains development files for building software that uses the
 QImageBlitz library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

cpu_opt_i386 = 3dnow mmx sse sse2 sse3
cpu_opt_amd64 = 3dnow mmx sse sse2 sse3
cpu_opt_powerpc = altivec

host_arch_opts = $(cpu_opt_$(shell dpkg-architecture -qDEB_HOST_ARCH_CPU))

ifneq (,$(host_arch_opts))

override_dh_auto_configure:
	$(overridden_command) -- $(shell echo $(foreach opt,$(host_arch_opts),-DHAVE_$(opt)=ON) | tr '[:lower:]' '[:upper:]')

endif

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libqimageblitz-dbg (<< 1:0.0.6-5~)'

## qimageblitz 0.0.706674

=== CMakeLists.txt ===
project(blitz)
find_package(Qt4 REQUIRED)

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(EXEC_INSTALL_PREFIX  ${CMAKE_INSTALL_PREFIX}       CACHE PATH  "Base directory for executables and libraries" FORCE)
#
## the following are directories where stuff will be installed to
set(BIN_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/bin"                  CACHE PATH "The kde info install dir (default prefix/info)" FORCE)
set(LIB_INSTALL_DIR          "${EXEC_INSTALL_PREFIX}/lib${LIB_SUFFIX}"     CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)
set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/qimageblitz"             CACHE PATH "The subdirectory to the header prefix" FORCE)

if (CMAKE_COMPILER_IS_GNUCXX)
   if (CMAKE_SYSTEM_NAME MATCHES Linux)
       set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -fno-check-new -fno-common")
   endif (CMAKE_SYSTEM_NAME MATCHES Linux)
endif (CMAKE_COMPILER_IS_GNUCXX)

add_subdirectory(blitz)
add_subdirectory(test)

=== blitz/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
 project(blitz_lib) 
 include(CheckCXXSourceCompiles)
 include(CheckIncludeFile)
+
+if (WIN32)
+ set(CMAKE_DEBUG_POSTFIX "d")
+endif (WIN32)
 
 if (APPLE)
  set(CMAKE_INSTALL_NAME_DIR ${LIB_INSTALL_DIR})
@@ -56,11 +60,7 @@
                             SOVERSION ${BLITZ_LIB_MAJOR_VERSION}
                             DEFINE_SYMBOL MAKE_QIMAGEBLITZ_LIB
 )
-install( TARGETS qimageblitz  
-    RUNTIME DESTINATION ${BIN_INSTALL_DIR} 
-    LIBRARY DESTINATION ${LIB_INSTALL_DIR} 
-    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} 
-)  
+install( TARGETS qimageblitz  DESTINATION ${LIB_INSTALL_DIR} )  
 install( FILES qimageblitz.h DESTINATION ${INCLUDE_INSTALL_DIR} ) 
 install( FILES qimageblitz_export.h DESTINATION ${INCLUDE_INSTALL_DIR} )
 install( FILES blitzcpu.h DESTINATION ${INCLUDE_INSTALL_DIR} )
